///////////////////////////////////////////////////
// CANapp.h
// 720020-1185x
//
// Applied Data Systems
//
// See ReadMe.txt for a description and history
//
///////////////////////////////////////////////////


// CAN message structure
typedef struct _CAN_MSg
{
	SHORT length;
	ULONG 	id;
	SHORT 	flags;
	union
	{
		BYTE 		data[8];
		WORD		wData[4];
		DWORD		dwData[2];
		LONGLONG	lData;
	};
}CAN_MSG;

// Definitions to use for CAN_MSG flags 
#define MSG_RTR (1<<0)		// Remote Transmission Request flag
#define MSG_EXT (1<<1)		// Extended identifier format flag

/* Acceptance filter message structure */
typedef struct __CAN_MSG_FILTER
{
  BOOL mode  ;		// set to 0 for dual filter mode, or 1 for single
  BYTE code0 ;
  BYTE code1 ;
  BYTE code2 ;
  BYTE code3 ;
  BYTE mask0 ;
  BYTE mask1 ;
  BYTE mask2 ;
  BYTE mask3 ;
} CAN_MSG_FILTER, *PCAN_MSG_FILTER;


#define IOCTL_CAN_SET_ACCEPTANCE_FILTER   	0x01
#define IOCTL_CAN_GET_ACCEPTANCE_FILTER  	0x02
#define IOCTL_CAN_SET_BAUDRATE            	0x03
#define IOCTL_CAN_GET_BAUDRATE            	0x04
#define IOCTL_RESET_CHIP                  	0x05
#define IOCTL_SEND_COMMAND                	0x06
#define IOCTL_CAN_GET_STATUS_REG          	0x07
#define IOCTL_CAN_CLEAR_QUEUE				0x08
#define IOCTL_CAN_GET_NUM_MSGS				0x09
#define IOCTL_GET_DRIVER_VERSION			0xA0 